function show_help(type) {
	if (type!="") {
		new Ajax.Updater( {success: 'messages-replace'}, '/cgi-bin/get_help.rb?help=' + type, {method: 'get', onFailure: reportError});
		return false;
	}
	return true;
}
function exec_command(self) {
	var form = self.form;

	switch (form.command.value) {
		case "kick_mac":
			var mac = form.mac.value;
			if (mac == "") {
				var messages_panel = document.getElementById("messages-replace")
				messages_panel.innerHTML = "<p class='warning'>No MAC to kick</p>";
			} else {
				new Ajax.Request('/cgi-bin/kick_mac.rb', {
					method:'post',
					parameters: {mac: mac},
						onSuccess: function(transport){
							var response = transport.responseText || "no response text";
							var messages_panel = document.getElementById("messages-replace")
							
							if (response == "ok") {
								messages_panel.innerHTML = '<p class="confirm">The MAC was kicked</p>';
							} else {
								messages_panel.innerHTML = "<p class='warning'>There was a problem kicking the MAC:\n\n" + response + "</p>";
							}
							return false;
						},
						onFailure: function(){
							var messages_panel = document.getElementById("messages-replace")
							messages_panel.innerHTML = "<p class='warning'>Something unexpected went wrong!</p>";
						}
				});
			}
			return false;
		break;
		case "add_ssid":
			var ssid = form.ssid.value;
			if (ssid == "") {
				var messages_panel = document.getElementById("messages-replace")
				messages_panel.innerHTML = "<p class='warning'>No SSID to add</p>";
			} else {
				new Ajax.Request('/cgi-bin/add_ssid_to_list.rb', {
					method:'post',
					parameters: {ssid: ssid},
						onSuccess: function(transport){
							var response = transport.responseText || "no response text";
							var messages_panel = document.getElementById("messages-replace")
							
							if (response == "ok") {
								messages_panel.innerHTML = '<p class="confirm">The SSID was added to the list</p>';
							} else {
								messages_panel.innerHTML = "<ul><li> class='warning'>There was a problem adding the SSID:\n\n" + response + "</li></ul>";
							}
							return false;
						},
						onFailure: function(){
							var messages_panel = document.getElementById("messages-replace")
							messages_panel.innerHTML = "<p class='warning'>Something unexpected went wrong!</p>";
						}
				});
				return false;
			}
		break;
	}
}
function addRefreshButton (functionName) {
	document.write ('<input type="button" value="Refresh" onclick="' + functionName + '()" />');
}

function addtolist() {
	var messages_panel = document.getElementById("messages-replace")
	var ssid;
	ssid=document.getElementById ("add_ssid_value").value;
	
	if (ssid == "") {
		messages_panel.innerHTML = "<p class='warning'>An empty SSID was entered</p>";
		return false;
	}
	if (ssid.length > 32) {
		messages_panel.innerHTML = "<p class='warning'>The maximum length for an SSID is 32 characters</p>";
		return false;
	}
	new Ajax.Request('/cgi-bin/add_ssid_to_list.rb', {
		method:'post',
		parameters: {ssid: ssid},
			onSuccess: function(transport){
				var response = transport.responseText || "no response text";
				
				if (response == "ok") {
					messages_panel.innerHTML = '<p class="confirm">The SSID was added to the list</p>';
				} else {
					messages_panel.innerHTML = "<p class='warning'>There was a problem adding the SSID:\n\n" + response + "</p>";
				}
				return false;
			},
			onFailure: function(){
				var messages_panel = document.getElementById("messages-replace")
				messages_panel.innerHTML = "<p class='warning'>Something unexpected went wrong!</p>";
			}
	});
	return false;
}

function resetlist() {
	new Ajax.Request('/cgi-bin/resetlist.inc.rb', {
		method:'get',
			onSuccess: function(transport){
				var messages_panel = document.getElementById("messages-replace")
				var response = transport.responseText || "no response text";
				if (response == "ok") {
					messages_panel.innerHTML = '<p class="confirm">The SSID list has been reset</p>';
				} else {
					messages_panel.innerHTML = "<p class='warning'>There was a problem resetting the list:\n\n" + response + "</p>";
				}
				return false;
			},
			onFailure: function(){
				var messages_panel = document.getElementById("messages-replace")
				messages_panel.innerHTML = "<p class='warning'>Something unexpected went wrong!</p>";
			}
	});
	return false;
}

function blackwhit() {

	new Ajax.Updater( {success: 'blackwhiteline'}, '/cgi-bin/blackwhite.inc.rb', {method: 'get', onFailure: reportError, onSuccess: function(transport) {
				var response = transport.responseText || "no response text";
				var messages_panel = document.getElementById("messages-replace")
				
				if (response.indexOf ("Blacklist") == -1) {
					messages_panel.innerHTML = '<p class="confirm">Changed to Whiltelist mode</p>';
				} else {
					messages_panel.innerHTML = "<p class='confirm'>Changed to Blacklist mode</p>";
				}
				return false;
			}}
	);
	return false;
}

function karmaup() {
	new Ajax.Updater( {success: 'statusline'}, '/cgi-bin/karma_up.rb', {method: 'get', onFailure: reportError, onSuccess: function(transport){
				var response = transport.responseText || "no response text";
				var messages_panel = document.getElementById("messages-replace")
				
				if (response.indexOf ("On") == -1) {
					messages_panel.innerHTML = "<p class='confirm'>Karma has been taken down</p>";
				} else {
					messages_panel.innerHTML = '<p class="confirm">Karma has been brought up</p>';
				}
				return false;
			}}
			);
	return false;
}

function ifup() {
	new Ajax.Updater( {success: 'ifline'}, '/cgi-bin/if_up.rb', {method: 'get', onFailure: reportError, onSuccess: function(transport){
				var response = transport.responseText || "no response text";
				var messages_panel = document.getElementById("messages-replace")
				
				if (response.indexOf ("Down") == -1) {
					messages_panel.innerHTML = '<p class="confirm">The interface has been brought up</p>';
				} else {
					messages_panel.innerHTML = "<p class='confirm'>The interface has been taken down</p>";
				}
				return false;
			}}
			);
	return false;
}

function reportError(request) {
	alert ("It failed");
}

function refresh_connected_clients() {
	new Ajax.Updater('connected-clients', 'connected_clients.inc.rb', { method: 'get' });
}

function refresh_log() {
	new Ajax.Updater('log', 'log.inc.rb', { method: 'get' });
}

function init() {
	new Ajax.PeriodicalUpdater('connected-clients', 'connected_clients.inc.rb', { method: 'get', frequency: 60, decay: 0 });
	new Ajax.PeriodicalUpdater('log', 'log.inc.rb', { method: 'get', frequency: 60, decay: 0 });
}
